ErasureCoding (Apache Hadoop HDFS-RBF 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.federation.router, class: ErasureCoding

Package org.apache.hadoop.hdfs.server.federation.router

# Class ErasureCoding

java.lang.Object
org.apache.hadoop.hdfs.server.federation.router.ErasureCoding

Direct Known Subclasses:
  `AsyncErasureCoding`

public class ErasureCoding extends Object
Module that implements all the RPC calls in `ClientProtocol` related to Erasure Coding in the `RouterRpcServer`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ErasureCoding(RouterRpcServer server)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.hadoop.hdfs.protocol.AddErasureCodingPolicyResponse[]`
  `addErasureCodingPolicies(org.apache.hadoop.hdfs.protocol.ErasureCodingPolicy[] policies)`
  `void`
  `disableErasureCodingPolicy(String ecPolicyName)`
  `void`
  `enableErasureCodingPolicy(String ecPolicyName)`
  `org.apache.hadoop.hdfs.protocol.ECBlockGroupStats`
  `getECBlockGroupStats()`
  `org.apache.hadoop.hdfs.protocol.ECTopologyVerifierResult`
  `getECTopologyResultForPolicies(String[] policyNames)`
  `Map<String,String>`
  `getErasureCodingCodecs()`
  `org.apache.hadoop.hdfs.protocol.ErasureCodingPolicyInfo[]`
  `getErasureCodingPolicies()`
  `org.apache.hadoop.hdfs.protocol.ErasureCodingPolicy`
  `getErasureCodingPolicy(String src)`
  `void`
  `removeErasureCodingPolicy(String ecPolicyName)`
  `void`
  `setErasureCodingPolicy(String src, String ecPolicyName)`
  `void`
  `unsetErasureCodingPolicy(String src)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ErasureCoding

    public ErasureCoding(RouterRpcServer server)

- ## Method Details

  - ### getErasureCodingPolicies

    public org.apache.hadoop.hdfs.protocol.ErasureCodingPolicyInfo[] getErasureCodingPolicies() throws IOException
    Throws:
      `IOException`

  - ### getErasureCodingCodecs

    public Map<String,String> getErasureCodingCodecs() throws IOException
    Throws:
      `IOException`

  - ### addErasureCodingPolicies

    public org.apache.hadoop.hdfs.protocol.AddErasureCodingPolicyResponse[] addErasureCodingPolicies(org.apache.hadoop.hdfs.protocol.ErasureCodingPolicy[] policies) throws IOException
    Throws:
      `IOException`

  - ### removeErasureCodingPolicy

    public void removeErasureCodingPolicy(String ecPolicyName) throws IOException
    Throws:
      `IOException`

  - ### disableErasureCodingPolicy

    public void disableErasureCodingPolicy(String ecPolicyName) throws IOException
    Throws:
      `IOException`

  - ### enableErasureCodingPolicy

    public void enableErasureCodingPolicy(String ecPolicyName) throws IOException
    Throws:
      `IOException`

  - ### getErasureCodingPolicy

    public org.apache.hadoop.hdfs.protocol.ErasureCodingPolicy getErasureCodingPolicy(String src) throws IOException
    Throws:
      `IOException`

  - ### setErasureCodingPolicy

    public void setErasureCodingPolicy(String src, String ecPolicyName) throws IOException
    Throws:
      `IOException`

  - ### unsetErasureCodingPolicy

    public void unsetErasureCodingPolicy(String src) throws IOException
    Throws:
      `IOException`

  - ### getECTopologyResultForPolicies

    public org.apache.hadoop.hdfs.protocol.ECTopologyVerifierResult getECTopologyResultForPolicies(String[] policyNames) throws IOException
    Throws:
      `IOException`

  - ### getECBlockGroupStats

    public org.apache.hadoop.hdfs.protocol.ECBlockGroupStats getECBlockGroupStats() throws IOException
    Throws:
      `IOException`